/** When your routing table is too long, you can split it into small modules **/

import Layout from '@/layout'

const yyzsFzt = {
        path: '/yyzh-fzt',
        component: Layout,
        redirect: '/yyzh-fzt/ProductCenter/integral/management/Addiapp',
        name: 'productCenter',
        meta: {
          title: '产品中心',
          icon: 'nested'
        },
        children: [
          {
            path: 'ProductCenter',
            name: 'ProductCenter',
            component: () => import('@/yyzh-fzt/ProductCenter/index'), // Parent router-view
            meta: { title: '福祉积分' },
            children: [
                {
                  path: 'Addapp',
                  component: () => import('@/yyzh-fzt/ProductCenter/integral/Addapp'),
                  name: 'Addapp',
                  meta: { title: '添加应用' }
                },
                {
                  path: 'distribution',
                  component: () => import('@/yyzh-fzt/ProductCenter/integral/distribution'),
                  name: 'distribution',
                  meta: { title: '积分发放' }
                },
                {
                  path: 'distribution_jl',
                  component: () => import('@/yyzh-fzt/ProductCenter/integral/distribution_jl'),
                  name: 'distribution_jl',
                  meta: { title: '积分发放记录' }
                },
                {
                  path: 'recovery',
                  component: () => import('@/yyzh-fzt/ProductCenter/integral/recovery'),
                  name: 'recovery',
                  meta: { title: '积分回收' }
                },
                {
                  path: 'recovery_jl',
                  component: () => import('@/yyzh-fzt/ProductCenter/integral/recovery_jl'),
                  name: 'recovery_jl',
                  meta: { title: '积分回收记录' }
                }
              ]
          },
          {
            path: 'quota',
            name: 'quota',
            component: () => import('@/yyzh-fzt/ProductCenter/index'), // Parent router-view
            meta: { title: '福祉额度' },
            children : [
                {
                    path: 'Addapp',
                    component: () => import('@/yyzh-fzt/ProductCenter/quota/Addapp'),
                    name: 'Addapp',
                    meta: { title: '添加应用' }
                  },
                  {
                    path: 'distribution',
                    component: () => import('@/yyzh-fzt/ProductCenter/quota/distribution'),
                    name: 'distribution',
                    meta: { title: '积分发放' }
                  },
                  {
                    path: 'distribution_jl',
                    component: () => import('@/yyzh-fzt/ProductCenter/quota/distribution_jl'),
                    name: 'distribution_jl',
                    meta: { title: '积分发放记录' }
                  },
                  {
                    path: 'recovery',
                    component: () => import('@/yyzh-fzt/ProductCenter/quota/recovery'),
                    name: 'recovery',
                    meta: { title: '积分回收' }
                  },
                  {
                    path: 'recovery_jl',
                    component: () => import('@/yyzh-fzt/ProductCenter/quota/recovery_jl'),
                    name: 'recovery_jl',
                    meta: { title: '积分回收记录' }
                  }
            ]
          }
         


        ]
}


export default yyzsFzt
